Create or update the delivery-event webhook
PUT
url must be public HTTPS (no credentials, custom ports, or private networks). Use either signingSecret (32-256 characters) or rotateSecret; the first setup or rotateSecret returns the newly generated secret.
bearerAuthheader
AuthorizationBearer <token>Mailly API key(Authorization: Bearer )
application/json- body
url?stringWebhook URL
events?array<string>Event types to subscribe to; all by default
active?booleansigningSecret?stringrotateSecret?boolean[key: string]?unknownUpdated
application/json- response
success*booleanwebhook*signingSecret?string[key: string]?unknowncurl -X PUT 'https://api.mailly.site/delivery-webhook' \ -H 'Content-Type: application/json' \ -d '{ "property1": null, "property2": null}'{ "success": true, "webhook": { "property1": null, "property2": null }, "signingSecret": "string", "property1": null, "property2": null}